Bis Freitag:
• citations + more detail for Approach
• stripAssign: explanation + spacing
• Beispiel
• explanations for Corrupt states
• margins?

Wochenende?
• Title page, Erklärung
• Eidesstattliche Versicherung

Details I have no more time for:
• document syntactic conditions not enforced by the concrete grammar
    – based on AST:
        ∘ dead code check
        ∘ LHS of assignment/update
• method calls
• empty type logic

Think about:
• comptime value on runtime branches
• quantifiers
• destructuring/alias/enumeration vs. equality/member test
• named tuple
• quasiquoting
• container level comptime
• function pointer vs alias
• specialization via FrameReq
• slicing notation
• comptime-known runtime LValues (*(b: {func(); break :b &comptime_var}))
• get rid of subEnv?
• purity on generic functions

Out of scope:
• noreturn defer
• tuples
• enums
• labeled unions
• error sets/unions
• switch/if captures
• pointers
• arrays/slices
